python-py_1.5.2-1_all.deb


Advertisement

Description

python-py - Advanced Python development support library (Python 2)

Property Value
Distribution Ubuntu 18.04 LTS (Bionic Beaver)
Repository Ubuntu Universe i386
Package filename python-py_1.5.2-1_all.deb
Package name python-py
Package version 1.5.2
Package release 1
Package architecture all
Package type deb
Category universe/python
Homepage https://github.com/pytest-dev/py
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 63.59 KB
Installed size 334.00 KB
The Codespeak py lib aims at supporting a decent Python development process
addressing deployment, versioning and documentation perspectives. It includes:
* py.path: path abstractions over local and Subversion files
* py.code: dynamic code compile and traceback printing support
This package provides the Python 2 modules.

Alternatives

Package Version Architecture Repository
python-py_1.5.2-1_all.deb 1.5.2 all Ubuntu Universe
python-py - - -

Requires

Name Value
python-pkg-resources -
python:any >= 2.7.5-5~
python:any << 2.8

Download

Type URL
Mirror archive.ubuntu.com
Binary Package python-py_1.5.2-1_all.deb
Source Package python-py

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install python-py deb package:
    # sudo apt-get install python-py

Files

Path
/usr/lib/python2.7/dist-packages/py/__init__.py
/usr/lib/python2.7/dist-packages/py/__metainfo.py
/usr/lib/python2.7/dist-packages/py/_builtin.py
/usr/lib/python2.7/dist-packages/py/_error.py
/usr/lib/python2.7/dist-packages/py/_std.py
/usr/lib/python2.7/dist-packages/py/_xmlgen.py
/usr/lib/python2.7/dist-packages/py/test.py
/usr/lib/python2.7/dist-packages/py-1.5.2.egg-info/PKG-INFO
/usr/lib/python2.7/dist-packages/py-1.5.2.egg-info/dependency_links.txt
/usr/lib/python2.7/dist-packages/py-1.5.2.egg-info/not-zip-safe
/usr/lib/python2.7/dist-packages/py-1.5.2.egg-info/top_level.txt
/usr/lib/python2.7/dist-packages/py/_code/__init__.py
/usr/lib/python2.7/dist-packages/py/_code/_assertionnew.py
/usr/lib/python2.7/dist-packages/py/_code/_assertionold.py
/usr/lib/python2.7/dist-packages/py/_code/_py2traceback.py
/usr/lib/python2.7/dist-packages/py/_code/assertion.py
/usr/lib/python2.7/dist-packages/py/_code/code.py
/usr/lib/python2.7/dist-packages/py/_code/source.py
/usr/lib/python2.7/dist-packages/py/_io/__init__.py
/usr/lib/python2.7/dist-packages/py/_io/capture.py
/usr/lib/python2.7/dist-packages/py/_io/saferepr.py
/usr/lib/python2.7/dist-packages/py/_io/terminalwriter.py
/usr/lib/python2.7/dist-packages/py/_log/__init__.py
/usr/lib/python2.7/dist-packages/py/_log/log.py
/usr/lib/python2.7/dist-packages/py/_log/warning.py
/usr/lib/python2.7/dist-packages/py/_path/__init__.py
/usr/lib/python2.7/dist-packages/py/_path/cacheutil.py
/usr/lib/python2.7/dist-packages/py/_path/common.py
/usr/lib/python2.7/dist-packages/py/_path/local.py
/usr/lib/python2.7/dist-packages/py/_path/svnurl.py
/usr/lib/python2.7/dist-packages/py/_path/svnwc.py
/usr/lib/python2.7/dist-packages/py/_process/__init__.py
/usr/lib/python2.7/dist-packages/py/_process/cmdexec.py
/usr/lib/python2.7/dist-packages/py/_process/forkedfunc.py
/usr/lib/python2.7/dist-packages/py/_process/killproc.py
/usr/lib/python2.7/dist-packages/py/_vendored_packages/__init__.py
/usr/lib/python2.7/dist-packages/py/_vendored_packages/apipkg.py
/usr/lib/python2.7/dist-packages/py/_vendored_packages/iniconfig.py
/usr/share/doc/python-py/changelog.Debian.gz
/usr/share/doc/python-py/copyright
/usr/share/doc/python-py/examples/genhtml.py
/usr/share/doc/python-py/examples/genhtmlcss.py
/usr/share/doc/python-py/examples/genxml.py

Changelog

2018-02-26 - Ondřej Nový <onovy@debian.org>
python-py (1.5.2-1) unstable; urgency=medium
* New upstream release
* Move under DPMT, add me as uploaders (Closes: #873657)
* Bump debhelper compat level to 11
* d/copyright:
- Use https protocol in Format field
- Add myself for Debian part
* d/watch: Use https protocol
* d/control: Set Vcs-* to salsa.debian.org
* Set PYBUILD_NAME
* Remove d/gbp.conf: Not needed anymore
* Bump Standards-Version to 4.1.3
* Bump X-Python3-Version to 3.4
* Run tests during build
* Replace d/tests with autopkgtest-pkg-python testsuite
* Drop versioning of depends on python{,3}-all
* Install examples
2017-09-27 - Adrian Bunk <bunk@debian.org>
python-py (1.4.34-3) unstable; urgency=medium
* QA upload.
* Set maintainer to Debian QA Group. (see #873657)
* Add patch to fix autopkgtest failures.
2017-06-18 - Sebastian Ramacher <sramacher@debian.org>
python-py (1.4.34-2) unstable; urgency=medium
* Upload to unstable.
2017-06-12 - Sebastian Ramacher <sramacher@debian.org>
python-py (1.4.34-1) experimental; urgency=medium
* New upstream release.
2017-03-21 - Sebastian Ramacher <sramacher@debian.org>
python-py (1.4.33-1) experimental; urgency=medium
* New upstream release.
* debian/patches: Removed, included upstream.
* debian/tests: No longer remove byte code.
2017-01-03 - Sebastian Ramacher <sramacher@debian.org>
python-py (1.4.32-3) unstable; urgency=medium
* debian/tests:
- Temporarily remove byte code before running tests.
- Allow pypy failures since it is currently not (fully) supported upstream.
2016-12-21 - Sebastian Ramacher <sramacher@debian.org>
python-py (1.4.32-2) unstable; urgency=medium
* debian/patches: Apply upstream patch to mark pytest 3.0 incompatible tests
as xfail.
2016-12-20 - Sebastian Ramacher <sramacher@debian.org>
python-py (1.4.32-1) unstable; urgency=medium
* New upstream release.
* debian/control: Update Homepage.
* debian/{control,compat}: Bump debhelper compat to 10.
* debian/copyright: Update copyright years.
2016-08-29 - Sebastian Ramacher <sramacher@debian.org>
python-py (1.4.31-2) unstable; urgency=medium
[ Tristan Seligmann ]
* Fix VCS-Browser URI.
[ Sebastian Ramacher ]
* debian/control:
- Update Vcs-Git.
- Bump Standards-Version.
[ Julian Taylor ]
* add pypy-py package
2015-12-02 - Sebastian Ramacher <sramacher@debian.org>
python-py (1.4.31-1) unstable; urgency=medium
* New upstream release.

See Also

Package Description
python-pyaes_1.6.1-1_all.deb Pure-Python implementation of the AES cipher (Python 2)
python-pyalsa_1.0.29-1_i386.deb Official ALSA Python binding library
python-pyao_0.82-5build1_i386.deb Python interface to the Audio Output library
python-pyassimp_4.1.0~dfsg-3_all.deb 3D model import library (Python2 bindings)
python-pyatspi_2.26.0+dfsg-1_all.deb Assistive Technology Service Provider Interface - Python bindings
python-pyaudio-doc_0.2.11-1build2_all.deb Documentation for Python bindings for PortAudio v19
python-pyaudio_0.2.11-1build2_i386.deb Python bindings for PortAudio v19
python-pyavm_0.9.4-1_all.deb Python module to handle Astronomy Visualization Metadata Standard
python-pybiggles_1.6.6-3_i386.deb Scientific plotting package for Python
python-pybigwig_0.3.2-1ubuntu5_i386.deb Python 2 module for quick access to bigBed and bigWig files
python-pybind11_2.0.1-4_all.deb pybind11 helper module for Python 2
python-pybloomfiltermmap_0.3.15-0.1build1_i386.deb Bloom filter (bloomfilter) for Python built on mmap
python-pybtex-doc_0.21-2_all.deb documentation for pybtex
python-pybtex-docutils-doc_0.2.1-1_all.deb documentation for pybtex-docutils
python-pybtex_0.21-2_all.deb public modules for pybtex (Python 2)
Advertisement
Advertisement